This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 365251 - Can no longer add monitor mode device
Can no longer add monitor mode device
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 10:57 EDT by David Woodhouse
Modified: 2008-02-13 15:39 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.8-63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 15:39:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-11-03 10:57:54 EDT
Until recently I could do this:
 echo -n moni0 > /sys/class/ieee80211/phy*/add_iface
 iwconfig moni0 mode monitor
 ip link set moni0 up
 tcpdump -i moni0 -l -n

It doesn't work in Fedora 8 though -- what replaces it?
Comment 1 John W. Linville 2007-11-21 16:48:04 EST
Those bits were removed upstream in order to reduce the sysfs user interface 
commitment.  It may or may not come back there.

The netlink-based tool that give this functionality is here:

   http://git.sipsolutions.net/iw.git/

We probably need to get that packaged for F9.  But for now it doesn't do 
much...except add and remove interfaces... :-)

In the meantime, I'll add a patch to restore the sysfs bits in F8.  Please 
test 2.6.23.8-63.fc8 when it is available.  Does that work for you?

Note You need to log in before you can comment on or make changes to this bug.